For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet all webhooks
      • POSTCreate a webhook
      • GETGet a webhook details
      • PUTUpdate a webhook
      • DELDelete a webhook
      • POSTExport webhook history
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsWebhooks

Update a webhook

PUT
https://api.brevo.com/v3/webhooks/:webhookId
PUT
/v3/webhooks/:webhookId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.webhooks.updateWebhook(1, {});
8}
9main();
Updates an existing webhook configuration and event subscriptions. Use this to: - Modify webhook event subscriptions and triggers - Update webhook URL and endpoint configuration - Change authentication settings and credentials - Adjust custom headers and request parameters - Enable or disable specific webhook events Key information returned: - Success confirmation of webhook updates
Was this page helpful?
Previous

Delete a webhook

Next
Built with

Updates an existing webhook configuration and event subscriptions.

Use this to:

  • Modify webhook event subscriptions and triggers
  • Update webhook URL and endpoint configuration
  • Change authentication settings and credentials
  • Adjust custom headers and request parameters
  • Enable or disable specific webhook events

Key information returned:

  • Success confirmation of webhook updates

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

webhookIdlongRequired
Id of the webhook

Request

Values to update a webhook
authobjectOptional
Add authentication on webhook url
batchedbooleanOptional
To send batched webhooks
descriptionstringOptional
Description of the webhook
domainstringOptional

Inbound domain of webhook, used in case of event type inbound

eventslist of enumsOptional
- Events triggering the webhook. Possible values for **Transactional** type webhook: #### `sent` OR `request`, `delivered`, `hardBounce`, `softBounce`, `blocked`, `spam`, `invalid`, `deferred`, `click`, `opened`, `uniqueOpened` and `unsubscribed` - Possible values for **Marketing** type webhook: #### `spam`, `opened`, `click`, `hardBounce`, `softBounce`, `unsubscribed`, `listAddition` & `delivered` - Possible values for **Inbound** type webhook: #### `inboundEmailProcessed` #### `reply`
headerslist of objectsOptional
Custom headers to be send with webhooks
urlstringOptionalformat: "url"
URL of the webhook

Response

Webhook updated

Errors

400
Bad Request Error
404
Not Found Error
  • Events triggering the webhook. Possible values for Transactional type webhook: #### sent OR request, delivered, hardBounce, softBounce, blocked, spam, invalid, deferred, click, opened, uniqueOpened and unsubscribed - Possible values for Marketing type webhook:

spam, opened, click, hardBounce, softBounce,

unsubscribed, listAddition & delivered - Possible values for Inbound type webhook: #### inboundEmailProcessed

reply